> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update room



## OpenAPI

````yaml /openapi/vued-public-api.yaml patch /orgs/{org_id}/rooms/{room_id}
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/rooms/{room_id}:
    patch:
      tags:
        - Directory
      summary: Update room
      operationId: updateRoom
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - $ref: '#/components/parameters/RoomId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoomUpdate'
      responses:
        '200':
          description: Updated room.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Room'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
    RoomId:
      name: room_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    RoomUpdate:
      type: object
      properties:
        display_name:
          type:
            - string
            - 'null'
        microphone_id:
          type:
            - string
            - 'null'
        is_primary:
          type:
            - boolean
            - 'null'
        participant_user_ids:
          type:
            - array
            - 'null'
          items:
            type: string
            format: uuid
    Room:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - room
        display_name:
          type: string
        microphone_id:
          type: string
        is_primary:
          type: boolean
        participants:
          type: array
          items:
            $ref: '#/components/schemas/OrgUser'
        created_at:
          type:
            - string
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
    OrgUser:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - org_user
        email:
          type: string
          format: email
        display_name:
          type:
            - string
            - 'null'
        role:
          type: string
          enum:
            - owner
            - admin
            - member
        created_at:
          type:
            - string
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````